> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.objectfit.md).

# ObjectFit

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

The CSS object-fit property is used to specify how the video should be resized to fit its container.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ObjectFit : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ObjectFit As [Enum]
```

{% endtab %}
{% endtabs %}

See: <https://www.w3schools.com/css/css3\\_object-fit.asp>

## Fields

| Name          | Description                                                                                                                                                |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Contain**   | The replaced content is scaled to maintain its aspect ratio while fitting within the element's content box.                                                |
| **Cover**     | The replaced content is sized to maintain its aspect ratio while filling the element's entire content box. The object will be clipped to fit.              |
| **Fill**      | This is the default value. The replaced content is sized to fill the element's content box. If necessary, the object will be stretched or squished to fit. |
| **None**      | The replaced content is not resized.                                                                                                                       |
| **ScaleDown** | The content is sized as if none or contain were specified (would result in a smaller concrete object size).                                                |

## Used By

| Name                                                                                                                    | Description                                                             |
| ----------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------- |
| [Video.ObjectFit](https://github.com/iceteagroup/wisej-docs-api/blob/v4.0/wisej.web/media/wisej.web.video.md#objectfit) | Gets or sets the object-fit value for the video. to apply to the video. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.objectfit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
